 We would like to use Chiliproject in our company and we're pretty satisfied with it's functionality so far. 
Testing phase is almost over and we would like to go into sharp usage. But there are some little UI issues, we 
would like you to propose and think about them a bit and hopefully implement it. Almost all are related to end 
users - to simplify creating new issues.

* Create a big new issue on main page button (basically on every possible page). Look at YouTrack images 
for imagination. 

* Simplify new issue creating form. It would be much easier for "BFU" to have as few options to choose from 
as possible. (YouTrack image) 

* Ability to create issues right away - faster. Not to click on Project -> Issues -> New Issues. But to create new 
issue from main page and choose then what project / sub-project it concerns. (similar to first point)

* (Possibility to) Remove/Move "?" button from main menu. Its misleading when pressed accidentally, when 
default theme is not changed and you're redirected to visually same page as you were before.

Please, consider these proposed features from viewpoint of really basic, not (pc) technically knowledged end 
user. Not from power user viewpoint. They can cope with almost everything devs prepare for them. It would be 
really great, if such "wanted" features would be optionally settable via web-ui, because I am strongly 
convinced that power users wants to see everything on opposite side, end users as less as possible.

Thank you for your time & reading our thoughts. 
I hope you'll take these 'tweaks' as an improvement, not crying out.

Mich

History
2012-08-08 04:55 pm - Michal xo
I forgot to add a link for inspiration -> http://www.jetbrains.com/youtrack/
Thank you

2012-08-12 04:24 pm - Felix Schäfer
Michal xo wrote:
> * Create a big new issue on main page button (basically on every possible page). Look at YouTrack images for imagination. 

That's actually something we've discussed (to some degree at least), and the rationale is that ChiliProject is a _project_ management system, not a 
_ticket_ management system. Making tickets a special citizen (as was somewhat the case in the old layout) also caused inconsistencies many users 
had a hard time to cope with ("New issue" was a top-level project menu entry, but to create a new news item for example you first had to click on the 
"News" top-level project menu entry and then click "New news" in the content pane).

If you want to make the "New issue" button more prominent, you could make a plugin (or probably a theme too) that keeps the "Issue" sub-menu 
always open and visually highlights the "New issue" link, that would break the convention that only the submenu of the module you are on is open 
though.

> * Ability to create issues right away - faster. Not to click on Project -> Issues -> New Issues. But to create new issue from main page and choose then 
what project / sub-project it concerns. (similar to first point)

That too rather falls in the realm of a plugin in my opinion.

> * Simplify new issue creating form. It would be much easier for "BFU" to have as few options to choose from as possible. (YouTrack image) 

Do you mean reducing the minimum amount of fields "needed" for issues or a simplified form for "simple users"?

> * (Possibility to) Remove/Move "?" button from main menu. Its misleading when pressed accidentally, when default theme is not changed and you're 
redirected to visually same page as you were before.

I think there's a plugin to change the link of the "?" button, not sure if you can disable it with it too, maybe have a looks at [[Plugins]] or [[Plugin 
Compatibility]]?

> Please, consider these proposed features from viewpoint of really basic, not (pc) technically knowledged end user. Not from power user viewpoint. 
They can cope with almost everything devs prepare for them. It would be really great, if such "wanted" features would be optionally settable via web-ui, 
because I am strongly convinced that power users wants to see everything on opposite side, end users as less as possible.

As I said above, our understanding of "end user" seems to differ because of the difference of understanding of what ChiliProject is, but those aren't 
orthogonal and should be solvable :-)

2013-02-02 01:08 am - Chris Dähn
To take up this issue:

The requested features are perfect for plugins - I love the idea of a "new issue" button and modifying the entries of the top bar.

Further we (our company) struggles with getting a public access to tickets for customers - and as Felix stated:
CP is a project management - so bringing up the plain management of tickets for "non-developers" could be a good place for a plugin, e.g. with these 
features:

* provide a separate view (frame) for ticket handling by a special user group (e.g. "customers"), which MUST NOT have access to the rest of CP
  => could be realized by just rendering a frame without CP navigation/menus to embed this into a company webpage or intranet
* only show buttons to create, search, filter issues
* set hard roles for view permissions like: only display own tickets (important to enable customers to see their tickets, but no tickets of other customers 
or projects)
* make it easy to embed this view into external systems
  => hide all the CP stuff completely - internally this plugin just uses queries for tickets and the permissions already available for groups and users
* assign (external) users directly for special projects (so the "new issue" button only can create tickets for ONE special project)

Do these ideas match with yours?
